Bug 734750 - ppd-name always sent even when empty
Summary: ppd-name always sent even when empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups-pk-helper
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 10:56 UTC by Tim Waugh
Modified: 2011-09-30 18:56 UTC (History)
1 user (show)

Fixed In Version: cups-pk-helper-0.1.3-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 23:00:15 UTC


Attachments (Terms of Use)

Description Tim Waugh 2011-08-31 10:56:20 UTC
Description of problem:
The ppd-name attribute is always added to an Add-Modify-Printer request, even when it has not been provided by the caller.  This makes the call fail in that situation.

cups.c:1485: cph_cups_printer_add():

        ippAddString (request, IPP_TAG_PRINTER, IPP_TAG_NAME,
                      "ppd-name", NULL, ppd_file);

should check for (ppd_file && ppd_file[0] != '\0').

Version-Release number of selected component (if applicable):
cups-pk-helper-0.1.3-1.fc15.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Start system-config-printer
2.Edit a printer
3.Try to change the Device URI.

Actual results:
When applying this change, a root password prompt is shown.

Expected results:
No root password prompt; instead the only dialogs should be PolicyKit ones.

Comment 1 Marek Kašík 2011-09-02 11:22:10 UTC
Hi Tim,

I've just committed the patch to F15, F16 and rawhide. It was previously marked as already upstreamed and was removed. I'll try to get it upstream now.
Thank you for this report.

Regards

Marek

Comment 2 Fedora Update System 2011-09-02 11:26:32 UTC
cups-pk-helper-0.1.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cups-pk-helper-0.1.3-2.fc16

Comment 3 Fedora Update System 2011-09-02 11:27:11 UTC
cups-pk-helper-0.1.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cups-pk-helper-0.1.3-2.fc15

Comment 4 Fedora Update System 2011-09-07 00:12:17 UTC
Package cups-pk-helper-0.1.3-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-pk-helper-0.1.3-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/cups-pk-helper-0.1.3-2.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-19 23:00:10 UTC
cups-pk-helper-0.1.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-09-30 18:56:50 UTC
cups-pk-helper-0.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.